xcb_set_selection_owner(3)

NAME
xcb_set_selection_owner - Sets the owner of a selection

SYNOPSIS
#include <xcb/xproto.h>

  Request function

xcb_void_cookie_t xcb_set_selection_owner(xcb_connection_t *conn, xcb_window_t owner, xcb_atom_t selection, xcb_timestamp_t time);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

owner
    The new owner of the selection. The special value XCB_NONE means that the selection will have no owner.

selection
    The selection.

time
    Timestamp to avoid race conditions when running X over the network. The selection will not be changed if time is earlier than the current last-change time of the selection or is later than the current X server time. Otherwise, the last-change time is set to the specified time. The special value XCB_CURRENT_TIME will be replaced with the current server time.

DESCRIPTION
Makes window the owner of the selection selection and updates the last-change time of the specified selection. TODO: briefly explain what a selection is.

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_set_selection_owner_checked. See xcb-requests(3) for details.

ERRORS

xcb_atom_error_t
    selection does not refer to a valid atom.

SEE ALSO
xcb-requests(3), xcb_set_selection_owner(3)

AUTHOR
Generated from xproto.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.